diff --git a/vhdlparser/VhdlParser.cc b/vhdlparser/VhdlParser.cc
index df9bbe5..66dc147 100644
--- a/vhdlparser/VhdlParser.cc
+++ b/vhdlparser/VhdlParser.cc
@@ -1,6 +1,5 @@
 /* VhdlParser.cc */
-#include "VhdlParser.h"
-#include "TokenMgrError.h"
+#include "./VhdlParser.h"
 namespace vhdl {
 namespace parser {
   unsigned int jj_la1_0[] = {
@@ -21,7 +20,7 @@ namespace parser {
 
 
 
-QCString VhdlParser::abstract_literal() {Token *tok;
+VhdlString VhdlParser::abstract_literal() {Token *tok;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case DECIMAL_LITERAL:{if (!hasError) {
       
@@ -65,7 +64,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::access_type_definition() {Token *tok=0;QCString str,str1;if (!hasError) {
+VhdlString VhdlParser::access_type_definition() {Token *tok=0;VhdlString str,str1;if (!hasError) {
     
     tok = jj_consume_token(ACCESS_T);
     }
@@ -79,7 +78,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::actual_designator() {QCString str;Token *t=0;
+VhdlString VhdlParser::actual_designator() {VhdlString str;Token *t=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case OPEN_T:{if (!hasError) {
       
@@ -121,7 +120,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::actual_parameter_part() {QCString s;if (!hasError) {
+VhdlString VhdlParser::actual_parameter_part() {VhdlString s;if (!hasError) {
     
     s = association_list();
     }
@@ -131,7 +130,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::actual_part() {QCString s,s1;
+VhdlString VhdlParser::actual_part() {VhdlString s,s1;
     if (jj_2_3(2147483647)) {if (!hasError) {
       
       s = actual_designator();
@@ -190,7 +189,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::adding_operator() {
+VhdlString VhdlParser::adding_operator() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case PLUS_T:{if (!hasError) {
       
@@ -234,7 +233,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::aggregate() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::aggregate() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(LPAREN_T);
     }
@@ -279,7 +278,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::alias_declaration() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::alias_declaration() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(ALIAS_T);
     }
@@ -361,7 +360,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::alias_designator() {Token *tok=0;QCString s;
+VhdlString VhdlParser::alias_designator() {Token *tok=0;VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
     case EXTENDED_CHARACTER:{if (!hasError) {
@@ -438,7 +437,7 @@ void VhdlParser::allocator() {
   }
 
 
-void VhdlParser::architecture_body() {QCString s,s1;if (!hasError) {
+void VhdlParser::architecture_body() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(ARCHITECTURE_T);
     }
@@ -460,11 +459,11 @@ void VhdlParser::architecture_body() {QCString s,s1;if (!hasError) {
     }
     if (!hasError) {
     
-QCString t=s1+"::"+s;
+VhdlString t=s1+"::"+s;
                   genLabels.resize(0);
                   pushLabel(genLabels,s1);
                   lastCompound=current;
-                  addVhdlType(t,getLine(ARCHITECTURE_T),Entry::CLASS_SEC,VhdlDocGen::ARCHITECTURE,0,0,Private);
+                  addVhdlType(t.data(),getLine(ARCHITECTURE_T),Entry::CLASS_SEC,VhdlDocGen::ARCHITECTURE,0,0,Private);
     }
     if (!hasError) {
     
@@ -604,7 +603,7 @@ void VhdlParser::architecture_statement_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::array_type_definition() {QCString s;
+VhdlString VhdlParser::array_type_definition() {VhdlString s;
     if (jj_2_5(2147483647)) {if (!hasError) {
       
       s = unconstraint_array_definition();
@@ -637,7 +636,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::assertion() {QCString s,s1,s2;Token *t=0;Token *t1=0;if (!hasError) {
+VhdlString VhdlParser::assertion() {VhdlString s,s1,s2;Token *t=0;Token *t1=0;if (!hasError) {
     
     jj_consume_token(ASSERT_T);
     }
@@ -692,7 +691,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::assertion_statement() {QCString s,s1,s2;Token *t=0;if (!hasError) {
+VhdlString VhdlParser::assertion_statement() {VhdlString s,s1,s2;Token *t=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -727,7 +726,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::association_element() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::association_element() {VhdlString s,s1;if (!hasError) {
     
     if (jj_2_6(2147483647)) {if (!hasError) {
       
@@ -752,7 +751,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::association_list() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::association_list() {VhdlString s,s1;if (!hasError) {
     
     s = association_element();
     }
@@ -789,7 +788,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::attribute_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::attribute_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(ATTRIBUTE_T);
     }
@@ -816,7 +815,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::attribute_designator() {QCString s;Token *tok=0;
+VhdlString VhdlParser::attribute_designator() {VhdlString s;Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
     case EXTENDED_CHARACTER:{if (!hasError) {
@@ -850,7 +849,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::attribute_name() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::attribute_name() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -899,7 +898,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::attribute_specification() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::attribute_specification() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(ATTRIBUTE_T);
     }
@@ -928,14 +927,14 @@ QCString VhdlParser::attribute_specification() {QCString s,s1,s2;if (!hasError)
     jj_consume_token(SEMI_T);
     }
     
-QCString t= s1+" is "+s2;
+VhdlString t= s1+" is "+s2;
    addVhdlType(s.data(),getLine(ATTRIBUTE_T),Entry::VARIABLE_SEC,VhdlDocGen::ATTRIBUTE,0,t.data(),Public);
    return " attribute "+s+" of "+s1+ " is "+s2+";";
 assert(false);
   }
 
 
-QCString VhdlParser::base() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::base() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(INTEGER);
     }
@@ -945,7 +944,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::base_specifier() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::base_specifier() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(BASIC_IDENTIFIER);
     }
@@ -955,7 +954,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::base_unit_declaration() {QCString s;if (!hasError) {
+VhdlString VhdlParser::base_unit_declaration() {VhdlString s;if (!hasError) {
     
     s = identifier();
     }
@@ -965,7 +964,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::based_integer() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::based_integer() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(BASIC_IDENTIFIER);
     }
@@ -975,7 +974,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::based_literal() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::based_literal() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(BASED_LITERAL);
     }
@@ -985,7 +984,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::basic_identifier() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::basic_identifier() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(BASIC_IDENTIFIER);
     }
@@ -1048,7 +1047,7 @@ void VhdlParser::binding_indication() {if (!hasError) {
   }
 
 
-QCString VhdlParser::bit_string_literal() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::bit_string_literal() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(BIT_STRING_LITERAL);
     }
@@ -1058,7 +1057,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::bit_value() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::bit_value() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(BASIC_IDENTIFIER);
     }
@@ -1403,7 +1402,7 @@ void VhdlParser::block_specification() {if (!hasError) {
   }
 
 
-void VhdlParser::block_statement() {QCString s;if (!hasError) {
+void VhdlParser::block_statement() {VhdlString s;if (!hasError) {
     
     s = identifier();
     }
@@ -1539,7 +1538,7 @@ void VhdlParser::block_statement_part() {if (!hasError) {
   }
 
 
-void VhdlParser::case_statement() {QCString s;if (!hasError) {
+void VhdlParser::case_statement() {VhdlString s;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -1569,8 +1568,8 @@ void VhdlParser::case_statement() {QCString s;if (!hasError) {
     }
     if (!hasError) {
     
-QCString ca="case "+s;
-     FlowChart::addFlowChart(FlowChart::CASE_NO,0,ca);
+VhdlString ca="case "+s;
+     FlowChart::addFlowChart(FlowChart::CASE_NO,0,ca.data());
     }
     if (!hasError) {
     
@@ -1633,7 +1632,7 @@ FlowChart::moveToPrevLevel();
   }
 
 
-void VhdlParser::case_statement_alternative() {QCString s;if (!hasError) {
+void VhdlParser::case_statement_alternative() {VhdlString s;if (!hasError) {
     
     jj_consume_token(WHEN_T);
     }
@@ -1647,9 +1646,9 @@ void VhdlParser::case_statement_alternative() {QCString s;if (!hasError) {
     }
     if (!hasError) {
     
-QCString t="when ";
+VhdlString t="when ";
     t+=s+"=> ";
-    FlowChart::addFlowChart(FlowChart::WHEN_NO,s.data(),t);
+    FlowChart::addFlowChart(FlowChart::WHEN_NO,s.data(),t.data());
     }
     if (!hasError) {
     
@@ -1660,7 +1659,7 @@ FlowChart::moveToPrevLevel();
   }
 
 
-QCString VhdlParser::character_literal() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::character_literal() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(CHARACTER_LITERAL);
     }
@@ -1670,7 +1669,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::choice() {QCString s;
+VhdlString VhdlParser::choice() {VhdlString s;
     if (jj_2_10(2147483647)) {if (!hasError) {
       
       s = discrete_range();
@@ -1721,7 +1720,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::choices() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::choices() {VhdlString s,s1;if (!hasError) {
     
     s = choice();
     }
@@ -1819,7 +1818,7 @@ void VhdlParser::component_configuration() {if (!hasError) {
   }
 
 
-void VhdlParser::component_declaration() {QCString s;if (!hasError) {
+void VhdlParser::component_declaration() {VhdlString s;if (!hasError) {
     
     jj_consume_token(COMPONENT_T);
     }
@@ -1913,7 +1912,7 @@ addVhdlType(s.data(),getLine(COMPONENT_T),Entry::VARIABLE_SEC,VhdlDocGen::COMPON
   }
 
 
-void VhdlParser::component_instantiation_statement() {QCString s,s1;if (!hasError) {
+void VhdlParser::component_instantiation_statement() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -1927,7 +1926,7 @@ void VhdlParser::component_instantiation_statement() {QCString s,s1;if (!hasErro
     }
     if (!hasError) {
     
-QCString s3;
+VhdlString s3;
        if (s1.contains("|")) {
          s3=VhdlDocGen::getIndexWord(s1.data(),0);
          s1=VhdlDocGen::getIndexWord(s1.data(),1);
@@ -1985,7 +1985,7 @@ void VhdlParser::component_specification() {if (!hasError) {
   }
 
 
-QCString VhdlParser::composite_type_definition() {QCString s,s1;
+VhdlString VhdlParser::composite_type_definition() {VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case ARRAY_T:{if (!hasError) {
       
@@ -2226,7 +2226,7 @@ void VhdlParser::concurrent_statement() {
   }
 
 
-QCString VhdlParser::condition() {QCString s;if (!hasError) {
+VhdlString VhdlParser::condition() {VhdlString s;if (!hasError) {
     
     s = expression();
     }
@@ -2236,7 +2236,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::condition_clause() {QCString s;if (!hasError) {
+VhdlString VhdlParser::condition_clause() {VhdlString s;if (!hasError) {
     
     jj_consume_token(UNTIL_T);
     }
@@ -2328,7 +2328,7 @@ void VhdlParser::conditional_waveforms() {if (!hasError) {
   }
 
 
-void VhdlParser::configuration_declaration() {QCString s,s1;if (!hasError) {
+void VhdlParser::configuration_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(CONFIGURATION_T);
     }
@@ -2507,7 +2507,7 @@ void VhdlParser::configuration_specification() {if (!hasError) {
   }
 
 
-QCString VhdlParser::constant_declaration() {QCString s,s1,s2;Token *t=0;if (!hasError) {
+VhdlString VhdlParser::constant_declaration() {VhdlString s,s1,s2;Token *t=0;if (!hasError) {
     
     jj_consume_token(CONSTANT_T);
     }
@@ -2549,7 +2549,7 @@ QCString VhdlParser::constant_declaration() {QCString s,s1,s2;Token *t=0;if (!ha
     
 if(t)
       s2.prepend(":=");
-     QCString it=s1+s2;
+     VhdlString it=s1+s2;
      addVhdlType(s.data(),getLine(CONSTANT_T),Entry::VARIABLE_SEC,VhdlDocGen::CONSTANT,0,it.data(),Public);
      it.prepend("constant ");
      return it;
@@ -2557,7 +2557,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::constraint_array_definition() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::constraint_array_definition() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(ARRAY_T);
     }
@@ -2603,7 +2603,7 @@ void VhdlParser::context_clause() {if (!hasError) {
   }
 
 
-QCString VhdlParser::constraint() {QCString s;
+VhdlString VhdlParser::constraint() {VhdlString s;
     if (jj_2_27(2147483647)) {if (!hasError) {
       
       s = range_constraint();
@@ -2654,7 +2654,7 @@ void VhdlParser::context_item() {
   }
 
 
-QCString VhdlParser::decimal_literal() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::decimal_literal() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(DECIMAL_LITERAL);
     }
@@ -2664,7 +2664,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::delay_mechanism() {QCString s;
+VhdlString VhdlParser::delay_mechanism() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case TRANSPORT_T:{if (!hasError) {
       
@@ -2788,7 +2788,7 @@ void VhdlParser::design_unit() {if (!hasError) {
   }
 
 
-QCString VhdlParser::designator() {QCString s;
+VhdlString VhdlParser::designator() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
     case EXTENDED_CHARACTER:{if (!hasError) {
@@ -2822,7 +2822,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::direction() {Token *tok=0;
+VhdlString VhdlParser::direction() {Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case TO_T:{if (!hasError) {
       
@@ -2895,7 +2895,7 @@ void VhdlParser::guarded_signal_specificatio() {if (!hasError) {
   }
 
 
-QCString VhdlParser::discrete_range() {QCString s;
+VhdlString VhdlParser::discrete_range() {VhdlString s;
     if (jj_2_29(2147483647)) {if (!hasError) {
       
       s = range();
@@ -2922,7 +2922,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::element_association() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::element_association() {VhdlString s,s1;if (!hasError) {
     
     if (jj_2_31(2147483647)) {if (!hasError) {
       
@@ -2949,7 +2949,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::element_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::element_declaration() {VhdlString s,s1;if (!hasError) {
     
     s = identifier_list();
     }
@@ -2973,7 +2973,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::entity_aspect() {Token *tok=0;QCString s,s1;
+VhdlString VhdlParser::entity_aspect() {Token *tok=0;VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case ENTITY_T:{if (!hasError) {
       
@@ -3052,7 +3052,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::entity_class() {
+VhdlString VhdlParser::entity_class() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case ENTITY_T:{if (!hasError) {
       
@@ -3250,7 +3250,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::entity_class_entry() {QCString s;if (!hasError) {
+VhdlString VhdlParser::entity_class_entry() {VhdlString s;if (!hasError) {
     
     s = entity_class();
     }
@@ -3279,7 +3279,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::entity_class_entry_list() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::entity_class_entry_list() {VhdlString s,s1,s2;if (!hasError) {
     if (!hasError) {
     
     s1 = entity_class_entry();
@@ -3323,7 +3323,7 @@ assert(false);
   }
 
 
-void VhdlParser::entity_declaration() {QCString s;if (!hasError) {
+void VhdlParser::entity_declaration() {VhdlString s;if (!hasError) {
     
     jj_consume_token(ENTITY_T);
     }
@@ -3599,7 +3599,7 @@ void VhdlParser::entity_declarative_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::entity_designator() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::entity_designator() {VhdlString s,s1;if (!hasError) {
     
     s = entity_tag();
     }
@@ -3666,7 +3666,7 @@ currP=VhdlDocGen::PORT;
   }
 
 
-QCString VhdlParser::entity_name_list() {QCString s,s1;
+VhdlString VhdlParser::entity_name_list() {VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLSL_T:
     case STRINGLITERAL:
@@ -3737,7 +3737,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::entity_specification() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::entity_specification() {VhdlString s,s1;if (!hasError) {
     
     s = entity_name_list();
     }
@@ -3817,7 +3817,7 @@ void VhdlParser::entity_statement_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::entity_tag() {QCString s;
+VhdlString VhdlParser::entity_tag() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLSL_T:
     case STRINGLITERAL:
@@ -3853,7 +3853,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::enumeration_literal() {QCString s;
+VhdlString VhdlParser::enumeration_literal() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
     case EXTENDED_CHARACTER:{if (!hasError) {
@@ -3887,7 +3887,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::enumeration_type_definition() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::enumeration_type_definition() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(LPAREN_T);
     }
@@ -3932,7 +3932,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::exit_statement() {QCString s,s1,s2;Token *t=0;Token *t1=0;if (!hasError) {
+VhdlString VhdlParser::exit_statement() {VhdlString s,s1,s2;Token *t=0;Token *t1=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -4006,7 +4006,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::expression() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::expression() {VhdlString s,s1,s2;if (!hasError) {
     
     s = relation();
     }
@@ -4048,7 +4048,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::logop() {
+VhdlString VhdlParser::logop() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case AND_T:{if (!hasError) {
       
@@ -4125,7 +4125,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::extended_identifier() {Token *t;if (!hasError) {
+VhdlString VhdlParser::extended_identifier() {Token *t;if (!hasError) {
     
     t = jj_consume_token(EXTENDED_CHARACTER);
     }
@@ -4135,7 +4135,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::factor() {QCString s,s1;
+VhdlString VhdlParser::factor() {VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case NEW_T:
     case NULL_T:
@@ -4221,7 +4221,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::file_declaration() {QCString s,s1,s2,s3;if (!hasError) {
+VhdlString VhdlParser::file_declaration() {VhdlString s,s1,s2,s3;if (!hasError) {
     
     jj_consume_token(FILE_T);
     }
@@ -4258,14 +4258,14 @@ QCString VhdlParser::file_declaration() {QCString s,s1,s2,s3;if (!hasError) {
     jj_consume_token(SEMI_T);
     }
     
-QCString t1=s2+" "+s3;
+VhdlString t1=s2+" "+s3;
    addVhdlType(s.data(),getLine(),Entry::VARIABLE_SEC,VhdlDocGen::VFILE,0,t1.data(),Public);
    return " file "+s+":"+s2+" "+s3+";";
 assert(false);
   }
 
 
-QCString VhdlParser::file_logical_name() {QCString s;if (!hasError) {
+VhdlString VhdlParser::file_logical_name() {VhdlString s;if (!hasError) {
     
     s = expression();
     }
@@ -4275,7 +4275,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::file_open_information() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::file_open_information() {VhdlString s,s1,s2;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case OPEN_T:{if (!hasError) {
@@ -4308,7 +4308,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::file_type_definition() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::file_type_definition() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(FILE_T);
     }
@@ -4326,7 +4326,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::floating_type_definition() {QCString s;if (!hasError) {
+VhdlString VhdlParser::floating_type_definition() {VhdlString s;if (!hasError) {
     
     s = range_constraint();
     }
@@ -4336,7 +4336,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::formal_designator() {QCString s;Token *tok=0;
+VhdlString VhdlParser::formal_designator() {VhdlString s;Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLSL_T:
     case STRINGLITERAL:
@@ -4372,7 +4372,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::formal_parameter_list() {QCString s;if (!hasError) {
+VhdlString VhdlParser::formal_parameter_list() {VhdlString s;if (!hasError) {
     
     s = interface_list();
     }
@@ -4382,7 +4382,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::formal_part() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::formal_part() {VhdlString s,s1;if (!hasError) {
     
     s = name();
     }
@@ -4419,7 +4419,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::full_type_declaration() {Entry *tmpEntry;QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::full_type_declaration() {Entry *tmpEntry;VhdlString s,s1,stype;if (!hasError) {
     
     jj_consume_token(TYPE_T);
     }
@@ -4440,7 +4440,7 @@ tmpEntry=current;
     
     try {if (!hasError) {
       
-      s2 = type_definition();
+      stype = type_definition();
       }
       
     } catch ( ...) {
@@ -4452,30 +4452,31 @@ error_skipto(SEMI_T);
     jj_consume_token(SEMI_T);
     }
     
+QCString s2=stype.data();
       if (s2.contains("#")) {
         VhdlDocGen::deleteAllChars(s2,'#');
         tmpEntry->spec=VhdlDocGen::RECORD;
         tmpEntry->type=s2.data();
-        //addVhdlType(s.data(),getLine(TYPE_T),Entry::VARIABLE_SEC,VhdlDocGen::RECORD,0,s2.data(),Public);
+        addVhdlType(s.data(),getLine(TYPE_T),Entry::VARIABLE_SEC,VhdlDocGen::RECORD,0,s2.data(),Public);
       }
       else if (s2.contains("%")) {
         VhdlDocGen::deleteAllChars(s2,'%');
         tmpEntry->spec=VhdlDocGen::UNITS;
         tmpEntry->type=s2.data();
-        //addVhdlType(s.data(),getLine(TYPE_T),Entry::VARIABLE_SEC,VhdlDocGen::UNITS,s2.data(),s2.data(),Public);
+        addVhdlType(s.data(),getLine(TYPE_T),Entry::VARIABLE_SEC,VhdlDocGen::UNITS,s2.data(),s2.data(),Public);
       }
       else {
         tmpEntry->spec=VhdlDocGen::TYPE;
         tmpEntry->type=s2.data();
-        //addVhdlType(s.data(),getLine(TYPE_T),Entry::VARIABLE_SEC,VhdlDocGen::TYPE,0,s2.data(),Public);
+        addVhdlType(s.data(),getLine(TYPE_T),Entry::VARIABLE_SEC,VhdlDocGen::TYPE,0,s2.data(),Public);
       }
       tmpEntry=0;
-      return "type "+s+" is "+s2+";";
+       return "type "+s+" is "+s2.data()+";";
 assert(false);
   }
 
 
-QCString VhdlParser::function_call() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::function_call() {VhdlString s,s1;if (!hasError) {
     
     s = name();
     }
@@ -4497,7 +4498,7 @@ assert(false);
   }
 
 
-void VhdlParser::generate_statement() {QCString s;if (!hasError) {
+void VhdlParser::generate_statement() {VhdlString s;if (!hasError) {
     
     s = identifier();
     }
@@ -4593,7 +4594,7 @@ void VhdlParser::generate_scheme() {
   }
 
 
-void VhdlParser::generic_clause() {QCString s;if (!hasError) {
+void VhdlParser::generic_clause() {VhdlString s;if (!hasError) {
     
     jj_consume_token(GENERIC_T);
     }
@@ -4622,7 +4623,7 @@ parse_sec=0;
   }
 
 
-QCString VhdlParser::generic_list() {QCString s;if (!hasError) {
+VhdlString VhdlParser::generic_list() {VhdlString s;if (!hasError) {
     
     s = interface_list();
     }
@@ -4656,7 +4657,7 @@ void VhdlParser::generic_map_aspect() {if (!hasError) {
   }
 
 
-QCString VhdlParser::group_constituent() {QCString s;
+VhdlString VhdlParser::group_constituent() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLSL_T:
     case STRINGLITERAL:
@@ -4692,7 +4693,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::group_constituent_list() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::group_constituent_list() {VhdlString s,s1,s2;if (!hasError) {
     if (!hasError) {
     
     s1 = group_constituent();
@@ -4732,7 +4733,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::group_declaration() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::group_declaration() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(GROUP_T);
     }
@@ -4770,7 +4771,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::group_template_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::group_template_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(GROUP_T);
     }
@@ -4820,7 +4821,7 @@ void VhdlParser::guarded_signal_specification() {if (!hasError) {
   }
 
 
-QCString VhdlParser::identifier() {Token *tok=0;
+VhdlString VhdlParser::identifier() {Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case EXTENDED_CHARACTER:{if (!hasError) {
       
@@ -4853,7 +4854,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::identifier_list() {QCString str,str1;if (!hasError) {
+VhdlString VhdlParser::identifier_list() {VhdlString str,str1;if (!hasError) {
     
     str = identifier();
     }
@@ -4890,7 +4891,7 @@ assert(false);
   }
 
 
-void VhdlParser::if_statement() {QCString s,s1;if (!hasError) {
+void VhdlParser::if_statement() {VhdlString s,s1;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -4925,7 +4926,7 @@ void VhdlParser::if_statement() {QCString s,s1;if (!hasError) {
     if (!hasError) {
     
 s.prepend("if ");
-    FlowChart::addFlowChart(FlowChart::IF_NO,0,s);
+    FlowChart::addFlowChart(FlowChart::IF_NO,0,s.data());
     }
     if (!hasError) {
     
@@ -5024,7 +5025,7 @@ FlowChart::moveToPrevLevel();
   }
 
 
-QCString VhdlParser::incomplete_type_declaration() {QCString s;if (!hasError) {
+VhdlString VhdlParser::incomplete_type_declaration() {VhdlString s;if (!hasError) {
     
     jj_consume_token(TYPE_T);
     }
@@ -5042,7 +5043,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::index_constraint() {QCString s="("; QCString s1,s2;if (!hasError) {
+VhdlString VhdlParser::index_constraint() {VhdlString s="("; VhdlString s1,s2;if (!hasError) {
     
     jj_consume_token(LPAREN_T);
     }
@@ -5091,7 +5092,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::index_specification() {QCString s;
+VhdlString VhdlParser::index_specification() {VhdlString s;
     if (jj_2_37(2147483647)) {if (!hasError) {
       
       s = discrete_range();
@@ -5139,7 +5140,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::index_subtype_definition() {QCString s;if (!hasError) {
+VhdlString VhdlParser::index_subtype_definition() {VhdlString s;if (!hasError) {
     
     s = type_mark();
     }
@@ -5157,7 +5158,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::instantiation_unit() {QCString s,s1,s2;Token *tok;
+VhdlString VhdlParser::instantiation_unit() {VhdlString s,s1,s2;Token *tok;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case COMPONENT_T:
     case BASIC_IDENTIFIER:
@@ -5272,7 +5273,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::instantiation_list() {QCString s;Token *tok=0;
+VhdlString VhdlParser::instantiation_list() {VhdlString s;Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
     case EXTENDED_CHARACTER:{if (!hasError) {
@@ -5317,7 +5318,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::integer() {Token *t;if (!hasError) {
+VhdlString VhdlParser::integer() {Token *t;if (!hasError) {
     
     t = jj_consume_token(INTEGER);
     }
@@ -5327,7 +5328,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::integer_type_definition() {QCString s;if (!hasError) {
+VhdlString VhdlParser::integer_type_definition() {VhdlString s;if (!hasError) {
     
     s = range_constraint();
     }
@@ -5337,7 +5338,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::interface_declaration() {QCString s,s1;
+VhdlString VhdlParser::interface_declaration() {VhdlString s,s1;
     if (jj_2_39(5)) {if (!hasError) {
       
       s = interface_subprogram_declaration();
@@ -5426,7 +5427,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::interface_element() {QCString s;if (!hasError) {
+VhdlString VhdlParser::interface_element() {VhdlString s;if (!hasError) {
     
     s = interface_declaration();
     }
@@ -5436,7 +5437,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::interface_file_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::interface_file_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(FILE_T);
     }
@@ -5459,7 +5460,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::interface_list() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::interface_list() {VhdlString s,s1,s2;if (!hasError) {
     
     s = interface_element();
     }
@@ -5496,7 +5497,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::interface_variable_declaration() {Token *tok=0;Token *tok1=0;Token *tok2=0;QCString s,s1,s2,s3,s4,s5;if (!hasError) {
+VhdlString VhdlParser::interface_variable_declaration() {Token *tok=0;Token *tok1=0;Token *tok2=0;VhdlString s,s1,s2,s3,s4,s5;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case CONSTANT_T:
@@ -5622,7 +5623,7 @@ if(tok)
                     if(tok2)
                      s3+=":=";
 
-                    QCString it=s+":"+s1+" "+s2+" "+s3+" "+s4;
+                    VhdlString it=s+":"+s1+" "+s2+" "+s3+" "+s4;
                     if (currP!=VhdlDocGen::COMPONENT)
                     {
                       if (currP==VhdlDocGen::FUNCTION || currP==VhdlDocGen::PROCEDURE)
@@ -5631,7 +5632,7 @@ if(tok)
                       }
                       else
                       {
-                        QCString i=s2+s3+s4;
+                        VhdlString i=s2+s3+s4;
                         if (currP==VhdlDocGen::GENERIC && param_sec==0)
                           addVhdlType(s.data(),getLine(),Entry::VARIABLE_SEC,currP,i.data(),s1.data(),Public);
                         else if(parse_sec != GEN_SEC)
@@ -5644,7 +5645,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::iteration_scheme() {QCString s;
+VhdlString VhdlParser::iteration_scheme() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case WHILE_T:{if (!hasError) {
       
@@ -5674,7 +5675,7 @@ s.prepend("while ");
       }
       if (!hasError) {
       
-QCString q=lab+" for "+s;
+VhdlString q=lab+" for "+s;
     FlowChart::addFlowChart(FlowChart::FOR_NO,0,q.data(),lab.data());
     lab="";
     return q;
@@ -5691,7 +5692,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::label() {QCString s;if (!hasError) {
+VhdlString VhdlParser::label() {VhdlString s;if (!hasError) {
     
     s = identifier();
     }
@@ -5701,7 +5702,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::library_clause() {QCString s;if (!hasError) {
+VhdlString VhdlParser::library_clause() {VhdlString s;if (!hasError) {
     if (!hasError) {
     
     jj_consume_token(LIBRARY_T);
